#include <octave/oct.h>
#include "dbstore-oct.h"

DEFUN_DLD (dbstoreVersion, args, nargout,
" Get or Display the dbstore version string. \n"
" \n"
"   dbstoreVersion \n"
" \n"
" Examples : \n"
"   >> dbstoreVersion \n"
" \n"
" Last update : 2017-12-01 \n"
" \n"
#ifdef INT64_VALUE_DEFINED
" \n"
" with octave_value.int64_value() is supported.\n"
#endif
           )
{
  octave_value_list ret_vals;
  std::string vz_str =  std::string(dbsVersion()) + std::string(" zlib:") + std::string(dbsZversion());
  if( 1 == nargout) ret_vals(0) = vz_str;
  if( 0 == nargout) octave_stdout << vz_str<< "\n";
  return ret_vals;
}
