#ifndef _RETRIEVE_OCT_H_
#define _RETRIEVE_OCT_H_

#include <limits.h>
#include "retrieve.h"
#include "oct_if.h"

#define TRANSD_PORT_IGNORE  0

extern  bool retrieve_debug;

int octave_retrieve_close( int rtd );
const char *octave_retrieve_error_string(int ecode, int& argno);
const char *octave_retrieve_error_message(int ecode, const std::string &func_name );

const char* cImageType2DataClass(const char* image_type, int& bytes);
int cClassName2bytesize( const char*class_name );

#endif